Subject: RE: bug in makefiles?
From: [email-masked] (Sergey Okhapkin)

6 Oct 1997 00:06:21 -0700
Message-ID: <[email-masked]>
To: "[email-masked]" <[email-masked]>,
        "'Tim Newsham'"
	 <[email-masked]>

Tim Newsham wrote:
>    I noticed that after building the cdk, if I do a
> "make clean" in the obj/winsup directory and then do
> a make, I get a binary that is about 250-300k bigger,

run "make CFLAGS=-O2 CXXFLAGS=-O2".

> and that does not behave properly.  In particular processes
> using the bigger dll do not seem to catch signals sent
> to them properly.  I can give a more detailed example
> with a test cause showing the broken behavior if necessary.

Looks like a gcc bug. Cygwin.dll compiled without -O2 option sometimes crashes on bash's exit.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".